<div class="app-content content">
    <div class="content-wrapper">
        <div class="content-wrapper-before">
        </div>
        <div class="content-header row">
            <div class="content-header-left col-md-4 col-12 mb-2">
            <h3 class="content-header-title">Order</h3>
            </div>
            <div class="content-header-right col-md-8 col-12">
            <div class="breadcrumbs-top float-md-right">
                <div class="breadcrumb-wrapper mr-1">
                <ol class="breadcrumb">
                    <li class="breadcrumb-item"><a href="/admin">Home</a>
                    </li>
                    <li class="breadcrumb-item active">Order Management
                    </li>
                </ol>
                </div>
            </div>
            </div>
        </div>
        <div class="content-body">
            <div class="row">
                <div class="col-12">
                    <div class="card">
                        <div class="card-header">
                            <h4 class="card-title">List of Order</h4>
                            <a class="heading-elements-toggle"><i class="la la-ellipsis-v font-medium-3"></i></a>
                            <div class="heading-elements" style="top: 10px">
                                <ul class="list-inline mb-0"> 
                                    <a href="/admin/order/add"><button class="btn btn-primary">Add</button></a>
                                    {{!-- <input type="hidden" value="{{type}}" id="getType"> --}}
                                    <li><a data-action="collapse"><i class="ft-minus"></i></a></li>
                                    {{!-- <li><a data-action="reload"><i class="ft-rotate-cw"></i></a></li> --}}
                                    <li><a data-action="expand"><i class="ft-maximize"></i></a></li>
                                    {{!-- <li><a data-action="close"><i class="ft-x"></i></a></li> --}}
                                </ul>
                            </div>
                        </div>
                        <div class="card-content collapse show">
                            {{!-- <div class="card-body">
                                <p class="card-text">Add <code>.table-bordered</code> for borders on all sides of the table and cells.</p>
                            </div> --}}
                            <div class="table-responsive">
                                {{#if messageErr}}
                                    <div class="alert alert-warning" role="alert">
                                        {{messageErr}}
                                    </div>
                                {{/if}}
                                <table class="table table-bordered mb-0" style="text-align: center;">
                                    <thead>
                                        <tr>
                                            <th>No</th>
                                            <th>Customer Name</th>
                                            <th>Date & Time</th>
                                            <th>Total</th>
                                            <th>Action(Click Button To Change Status)</th>
                                            <th>View OrderDetails</th>
                                            <th>Revert Status Order</th>
                                        </tr>
                                    </thead>
                                    <tbody>
                                        {{#each orders}}
                                        <tr>
                                            <th scope="row">{{inc @index}}</th>
                                            <td>{{this.customerName}}</td>
                                            <td>{{this.createdAt}}</td>
                                            <td>{{this.total}}</td>
                                            <td>
                                                {{#when this.status 'noteq' 3}}
                                                    <button type="button" class="btn btn-primary" id="btnConfirm" onclick="changeStatusOrder({{this._id}}, {{this.status}})">
                                                        {{#when this.status 'eq' 0}}
                                                            Confirm
                                                        {{/when}}
                                                        {{#when this.status 'eq' 1}}
                                                            Confirmed(wait for shipping)
                                                        {{/when}}
                                                        {{#when this.status 'eq' 2}}
                                                            In Transaction
                                                        {{/when}}
                                                    </button>
                                                {{/when}}
                                                {{#when this.status 'eq' 3}}
                                                    Completed
                                                {{/when}}
                                            </td> 
                                            <td>
                                                <a href="/admin/order/orderDetails/{{this._id}}">
                                                    <button type="button" class="btn btn-warning">Details</button>
                                                </a>
                                            </td>
                                            <td>
                                                {{#when this.status 'noteq' 0}}
                                                {{#when this.status 'noteq' 1}}
                                                    <button type="button" class="btn btn-danger" id="btnRevert" onclick="revertStatusOrder({{this._id}}, {{this.status}})">Revert</button>
                                                {{/when}}
                                                {{/when}}
                                            </td>
                                        </tr>
                                        {{/each}}
                                    </tbody>
                                </table>
                            </div>  
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</div>

{{!-- form to confirm order --}}
<form name="confirm-order-form" method="POST"></form>

{{!-- form to revert status order --}}
<form name="revert-order-form" method="POST"></form>

<script>
    function changeStatusOrder(orderId, currentStatus) {
        // form and button for change order status
        var changeStatusOrderForm = document.forms['confirm-order-form'];
        // When click button confirm to change order status
        changeStatusOrderForm.action = `/admin/order/changeOrderStatus/${orderId}/${currentStatus}?_method=PUT`;
        changeStatusOrderForm.submit();
    }

    function revertStatusOrder(orderId, currentStatus) {
        // form and button for revert order status
        var revertStatusOrderForm = document.forms['revert-order-form'];
        // When click button confirm to revert order status
        revertStatusOrderForm.action = `/admin/order/revertStatus/${orderId}/${currentStatus}?_method=PUT`;
        revertStatusOrderForm.submit();
    }    
</script>